org.eclipse.cdt.utils.coff.parser

## Class CygwinPEParser

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.core.AbstractCExtension
    - - org.eclipse.cdt.utils.coff.parser.PEParser
      - - org.eclipse.cdt.utils.coff.parser.CygwinPEParser

All Implemented Interfaces:
  IBinaryParser, ICExtension, org.eclipse.core.runtime.IAdaptable

Deprecated.
Deprecated as of CDT 6.9. Use 64 bit version `CygwinPEParser64`. This class is planned for removal in next major release.

    @Deprecated
    public class CygwinPEParser
    extends PEParser

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.IBinaryParser

`IBinaryParser.IBinaryArchive, IBinaryParser.IBinaryExecutable, IBinaryParser.IBinaryFile, IBinaryParser.IBinaryObject, IBinaryParser.IBinaryShared, IBinaryParser.ISymbol`

### Constructor Summary

Constructors
Constructor and Description
`CygwinPEParser()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected IBinaryParser.IBinaryArchive` `createBinaryArchive(org.eclipse.core.runtime.IPath path)` Deprecated.
`protected IBinaryParser.IBinaryObject` `createBinaryCore(org.eclipse.core.runtime.IPath path)` Deprecated.
`protected IBinaryParser.IBinaryExecutable` `createBinaryExecutable(org.eclipse.core.runtime.IPath path)` Deprecated.
`protected IBinaryParser.IBinaryObject` `createBinaryObject(org.eclipse.core.runtime.IPath path)` Deprecated.
`protected IBinaryParser.IBinaryShared` `createBinaryShared(org.eclipse.core.runtime.IPath path)` Deprecated.
`protected DefaultCygwinToolFactory` `createToolFactory()` Deprecated.
`<T> T` `getAdapter(Class<T> adapter)` Deprecated.
`String` `getFormat()` Deprecated. Returns the name of the Format.

### Methods inherited from class org.eclipse.cdt.utils.coff.parser.PEParser

`getBinary, getBinary, getHintBufferSize, isBinary`

### Methods inherited from class org.eclipse.cdt.core.AbstractCExtension

`getConfigExtensionReference, getExtensionReference, getProject, setExtensionReference, setExtensionReference, setProject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CygwinPEParser

    public CygwinPEParser()

Deprecated.

### Method Detail

#### getFormat

    public String getFormat()

Deprecated.
Description copied from interface: `IBinaryParser`
Returns the name of the Format.

Specified by:
  `getFormat` in interface `IBinaryParser`
Overrides:
  `getFormat` in class `PEParser`
See Also:
  `IBinaryParser.getFormat()`

#### createBinaryArchive

    protected IBinaryParser.IBinaryArchive createBinaryArchive(org.eclipse.core.runtime.IPath path)
                                                        throws IOException

Deprecated.

Overrides:
  `createBinaryArchive` in class `PEParser`
Throws:
  `IOException`

#### createBinaryExecutable

    protected IBinaryParser.IBinaryExecutable createBinaryExecutable(org.eclipse.core.runtime.IPath path)

Deprecated.

Overrides:
  `createBinaryExecutable` in class `PEParser`

#### createBinaryCore

    protected IBinaryParser.IBinaryObject createBinaryCore(org.eclipse.core.runtime.IPath path)

Deprecated.

Overrides:
  `createBinaryCore` in class `PEParser`

#### createBinaryObject

    protected IBinaryParser.IBinaryObject createBinaryObject(org.eclipse.core.runtime.IPath path)

Deprecated.

Overrides:
  `createBinaryObject` in class `PEParser`

#### createBinaryShared

    protected IBinaryParser.IBinaryShared createBinaryShared(org.eclipse.core.runtime.IPath path)

Deprecated.

Overrides:
  `createBinaryShared` in class `PEParser`

#### createToolFactory

    protected DefaultCygwinToolFactory createToolFactory()

Deprecated.

#### getAdapter

    public <T> T getAdapter(Class<T> adapter)

Deprecated.

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.core.runtime.PlatformObject`